# QTextBoundaryFinder Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QTextBoundaryFinder()
- void QTextBoundaryFinder(BoundaryType type, String string)
- void QTextBoundaryFinder(QTextBoundaryFinder other)

### Constructor Properties

- prototype: The QTextBoundaryFinder prototype object
- NotAtBoundary = 0
- StartWord = 1
- EndWord = 2
- BoundaryReason( value )
- BoundaryReasons( value1, value2, ... )
- Grapheme
- Word
- Line
- Sentence
- BoundaryType( value )

### Prototype Object Properties

- BoundaryReasons boundaryReasons()
- bool isAtBoundary()
- bool isValid()
- int position()
- void setPosition(int position)
- String string()
- void toEnd()
- int toNextBoundary()
- int toPreviousBoundary()
- void toStart()
- BoundaryType type()

### Instance Properties

QTextBoundaryFinder objects have no special properties beyond those inherited from the QTextBoundaryFinder prototype object.